Request
curl https://sandbox.api.lendeasy.ai/v1/merchant-advances \
-H "Authorization: Bearer $TOKEN"
await fetch(`https://sandbox.api.lendeasy.ai/v1/merchant-advances`, {
method: "GET",
headers: { Authorization: `Bearer ${token}` },
});
requests.get(
f"https://sandbox.api.lendeasy.ai/v1/merchant-advances",
headers={"Authorization": f"Bearer {token}"},
)
{
"data": [
{
"advanceId": "ma_northstar_6N8Q",
"externalId": "northstar-advance-2026",
"merchantId": "party_NORTHSTAR_4",
"productId": "prod_MERCHANT_ADVANCE_1",
"status": "active",
"currency": "USD",
"purchasePrice": "48000.00",
"purchasedAmount": "60000.00",
"remainingPurchasedAmount": "58574.95",
"remittanceRate": "0.12",
"projectedCompletionDate": "2027-07-04",
"version": 9
}
],
"nextCursor": null,
"hasMore": false
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}